Subject: [6pack] Spark Plug Heat Range

From: Rochlin Robert <[email-masked]>
Date: Tue, 6 Jun 2023 14:38:38 -0400

I’m looking for a spark plug that is just a little cooler than the stock Champion N9YC plugs that I’m running. I’ve had no luck finding Champion N8YC plugs and each manufacturer has a different designation for the heat range for their plugs so it’s hard to do a direct comparison .  Does anyone have a source for cooler plugs? I’m not concerned if they are not Champions.
	Best,
	Bob
	“72 TR6
_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack

Unsubscribe/Manage: http://autox.team.net/mailman/options/6pack/[email-masked]